using System;
using System.Collections;

namespace banco1.domain
{
	/// <summary>
	/// Representa un Cliente del banco.
	/// </summary>
	public class Cliente
	{
		protected String mNombre;
		protected String mApellidos;
		protected String mNIF;
		protected ArrayList mProductos;

		public Cliente(String nombre, String apellidos, String nif)
		{
			mNombre=nombre;
			mApellidos=apellidos;
			mNIF=nif;
			mProductos=new ArrayList();
		}

		public String nombre 
		{
			get { return mNombre; }
		}

		public String apellidos 
		{
			get { return mApellidos; }
		}

		public String nif
		{
			get { return mNIF; }
		}

		public ArrayList productos 
		{
			get { return this.mProductos; }
		}

		public void contratar(Cuenta c) 
		{
			if (c.estaActivo()) 
			{
				c.add(this);
				c.add(this);
			}
		}

		public void add(Cuenta c) 
		{
			this.mProductos.Add(c);
		}
	}
}
